"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Build = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
async function Build(src, docsRelativePath) {
    const navList = [];
    const dirs = fs_1.default.readdirSync(src);
    for (const dir of dirs) {
        buildProblem(path_1.default.join(src, dir), dir);
        navList.push({ [dir]: path_1.default.join(docsRelativePath, dir, "index.md") });
    }
    return navList;
}
exports.Build = Build;
async function buildProblem(src, filename) {
    const mdTemplate = `# ${filename}

## Statement

    === "English"
    --8<-- "statement.en_US.md"

    === "简体中文"
    --8<-- "statement.zh_CN.md"


## Solution

    === "Cpp"
    \`\`\`cpp
    --8<-- "solution.cpp"
    \`\`\`
`;
    fs_1.default.writeFileSync(path_1.default.join(src, "index.md"), mdTemplate);
}
//# sourceMappingURL=mkdocs.js.map